New Shapefile: allow only column names of max 10 chars

2014-03-10 07:05 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18301

Description

When creating a new Shapefile (New -> New Shapefile Layer), the New attribute box allows any length attribute to be entered.

However shapefiles can only have a length of 10 characters.

So one or more of the below should be done:

    1. Disallow more than 10 characters.

    2. Advise the user of the 10 char limit

    3. Visually feedback to the user that they've hit the 10 char limit.

Associated revisions

Revision 88bbe384 - 2014-06-22 02:36 AM - Jürgen Fischer

new vector layer: limit attribute name length of shape files to 10 (fixes #9753)

History

#1 - 2014-06-21 03:07 AM - Jürgen Fischer

- Category set to Vectors

#2 - 2014-06-21 07:06 AM - Giovanni Manghi

- Category changed from Vectors to Labelling

- Subject changed from New Shapefile - allows any length of attribute name to New Shapefile: allow only column names of max 10 chars

#3 - 2014-06-21 07:26 AM - Giovanni Manghi

- Category changed from Labelling to GUI

#4 - 2014-06-21 05:36 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"88bbe384dc7f473c84fb55c97bfdff3e0cb83315".
